library indy;

uses
  Classes, Rubies, uDefUtils, Pythia,
  uIndy, IdHandle,
  uIdAntiFreezeBase, uIdAntiFreeze,
  uIdIntercept,
  uIdLogbase, uIdLogDebug,
  uIdComponent,
  uIdTCPConnection, uIdTCPClient, uIdTCPServer,
  uIdFTP;

{$E so}

procedure Init_indy;
begin
  PhiStart;

  id_call := rb_intern('call');

  Init_Indy_module;
  Init_IdAntiFreezeBase;
  Init_IdAntiFreeze;
  Init_IdIntercept;
  Init_IdLogBase;
  Init_IdLogDebug;
  Init_IdComponent;
  Init_IdTCPConnection;
  Init_IdTCPClient;
  Init_IdTCPServer;
  Init_IdFTP;
end;

exports
  Init_indy;

end.
